BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

This enumeration has a attribute that allows a bitwise combination of its member values.

This enumeration is used by .

Many of these flags are powerful and should only be granted to highly trusted code.

Specifies access flags for the security permission object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag AllFlags To be added.

  The unrestricted state of the permission.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag Assertion To be added.

  Ability to assert that all this code's callers have the requisite permission for the operation.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag BindingRedirects To be added.

  Permission to perform explicit binding redirection in the application configuration file. This includes redirection of .NET Framework assemblies that have been unified as well as other assemblies found outside the .NET Framework.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag ControlAppDomain To be added.

  Ability to create and manipulate an .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag ControlDomainPolicy To be added.

  Ability to specify domain policy.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag ControlEvidence

  This is a powerful permission that should only be granted to highly trusted code.

  Ability to provide evidence, including the ability to alter the evidence provided by the common language runtime.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag ControlPolicy

  This is a powerful permission that should only be granted to highly trusted code.

  Ability to view and modify policy.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag ControlPrincipal To be added.

  Ability to manipulate the principal object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag ControlThread To be added.

  Ability to use certain advanced operations on threads.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag Execution

  This flag has no effect when used dynamically with stack modifiers such as , , and .

  Permission for the code to run. Without this permission, managed code will not be executed.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag Infrastructure To be added.

  Permission to plug code into the common language runtime infrastructure, such as adding Remoting Context Sinks, Envoy Sinks and Dynamic Sinks.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag NoFlags To be added.

  No security access.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag RemotingConfiguration To be added.

  Permission to configure Remoting types and channels.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag SerializationFormatter To be added.

  Ability to provide serialization services. Used by serialization formatters.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag SkipVerification

  This is a powerful permission that should be granted only to highly trusted code.

  This flag has no effect when used dynamically with stack modifiers such as , , and .

  Ability to skip verification of code in this assembly. Code that is unverifiable can be run if this permission is granted.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.SecurityPermissionFlag UnmanagedCode

  Since unmanaged code potentially allows other permissions to be bypassed, this is a dangerous permission that should only be granted to highly trusted code. It is used for such applications as calling native code using PInvoke or using COM interop.

  Ability to call unmanaged code.

  0
0